Bug 743964 - documentation refers to /boot/grub/ but /boot/grub2/ is being used
Summary: documentation refers to /boot/grub/ but /boot/grub2/ is being used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 494832
TreeView+ depends on / blocked
 
Reported: 2011-10-06 15:29 UTC by Michael Schwendt
Modified: 2011-12-30 22:55 UTC (History)
3 users (show)

Fixed In Version: grub2-1.99-13.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-30 22:55:39 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2011-10-06 15:29:59 UTC
Files included in

  # rpm -q grub2
  grub2-1.99-6.fc16.x86_64

refer to a mysterious $prefix that is not explained in the documentation. By searching for specific config file names, references to /boot/grub/ are found, but the Fedora grub2 package uses /boot/grub2/ instead:

$ rpmls grub2|grep ^d
drwxr-xr-x  /boot/grub2
drwxr-xr-x  /etc/grub.d
drwxr-xr-x  /usr/lib/grub
drwxr-xr-x  /usr/lib/grub2
drwxr-xr-x  /usr/lib/grub2/i386-pc
drwxr-xr-x  /usr/share/doc/grub2-1.99

# zgrep -1 custom.cfg /usr/share/info/grub2.info.gz
custom menu entries to the end of the list can be done by editing
`/etc/grub.d/40_custom' or creating `/boot/grub/custom.cfg', changing
the order of menu entries or changing their titles may require making

# zgrep -1 grubenv /usr/share/info/grub2.info.gz
   The environment block is a preallocated 1024-byte file, which
normally lives in `/boot/grub/grubenv' (although you should not assume
this).  At boot time, the `load_env' command (*note load_env::) loads


At least /etc/grub.d/41_custom could mention what $prefix it refers to, or where this is defined.

Comment 1 Fedora Update System 2011-12-10 06:08:58 UTC
grub2-1.99-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grub2-1.99-13.fc16

Comment 2 Fedora Update System 2011-12-11 21:53:28 UTC
Package grub2-1.99-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-1.99-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16975/grub2-1.99-13.fc16
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-12-30 22:55:39 UTC
grub2-1.99-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.